Runtime

## org.eclipse.gmf.runtime.emf.ui.services.modelingassistant
Class ModelingAssistantProviderConfiguration

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProviderConfiguration
          org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.ModelingAssistantProviderConfiguration

    public class ModelingAssistantProviderConfiguration

extends AbstractProviderConfiguration

A provider configuration for the ModelingAssistantService. It helps in filtering out and delay loading unrelated providers.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProviderConfiguration
`AbstractProviderConfiguration.ObjectDescriptor`

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProviderConfiguration
`CLASS, contextParam, ID, METHOD, NAME, NOT_VALUE, NULL, OBJECT, STATIC_METHOD, VALUE`

Method Summary
`static ModelingAssistantProviderConfiguration` `parse(IConfigurationElement configElement)` Builds a new provider contribution descriptor by parsing its configuration element
`boolean` `supports(java.lang.String operationType, IAdaptable context)` Determines if the provider understands the given context The provider understands the request if: 1- There are no listed provider contexts 2- The context matches one of the provider contexts

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProviderConfiguration
`getAdapter, getObjectList, getPluginBundle, getStrings, invokeMethod, invokeStaticMethod, isAssignableTo, loadClass, objectMatches`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parse

    public static ModelingAssistantProviderConfiguration parse(IConfigurationElement configElement)

  Builds a new provider contribution descriptor by parsing its configuration element

  Parameters:
    `configElement` - A provider configuration element
  Returns:
    A provider XML contribution descriptor

### supports

    public boolean supports(java.lang.String operationType,
                            IAdaptable context)

  Determines if the provider understands the given context The provider understands the request if: 1- There are no listed provider contexts 2- The context matches one of the provider contexts

  Parameters:
    `operationType` - The operation type
    `context` - The element context
  Returns:
    boolean `true` if it supports; `false` otherwise

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.